KSessionManaged class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KSessionManaged Class Reference

Provides highlevel access to session management on a per-object base. Highlevel access to session management. More...

`#include <kapplication.h>`

List of all members.

## Public Member Functions
virtual bool | saveState (QSessionManager &sm)
| See QApplication::saveState() for documentation.
virtual bool | commitData (QSessionManager &sm)
| See QApplication::commitData() for documentation.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Provides highlevel access to session management on a per-object base. Highlevel access to session management.

KSessionManaged makes it possible to provide implementations for QApplication::commitData() and QApplication::saveState(), without subclassing KApplication. KMainWindow internally makes use of this.

You don't need to do anything with this class when using KMainWindow. Instead, use KMainWindow::saveProperties(), KMainWindow::readProperties(), KMainWindow::queryClose(), KMainWindow::queryExit() and friends.

Author:
  Matthias Ettrich <ettrich@kde.org>

Definition at line 1140 of file kapplication.h.

## Member Function Documentation

bool KSessionManaged::saveState | ( | QSessionManager & | sm | ) | `[virtual]`

| See QApplication::saveState() for documentation. This function is just a convenience version to avoid subclassing KApplication. Return true to indicate a successful state save or false to indicate a problem and to halt the shutdown process (will implicitly call sm.cancel() ). Definition at line 852 of file kapplication.cpp.

bool KSessionManaged::commitData | ( | QSessionManager & | sm | ) | `[virtual]`

| See QApplication::commitData() for documentation. This function is just a convenience version to avoid subclassing KApplication. Return true to indicate a successful commit of data or false to indicate a problem and to halt the shutdown process (will implicitly call sm.cancel() ). Definition at line 857 of file kapplication.cpp.

The documentation for this class was generated from the following files:

- kapplication.h
- kapplication.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:51:05 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001